Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 07/01/2012, à 11:16

yayals

synaptic ne veut pas réparer les paquets cassés

bonjour je voulais installer le paquet uspash-theme-ubuntu mais il m'a dit veuillez d’abord reparer les paquets cassés, J'ai fais édition réparer les paquets cassés et il m'a dit :
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
aidez moi !!
merci d'avance


ACER aspire 5740g: Ubuntu 14.04
Nec Powermate vl4: Xubuntu 12.04
Mon blog http://ubuntu-yayals.over-blog.com/
tous unis contre microsoft !

Hors ligne

#2 Le 07/01/2012, à 11:39

eserpios

Re : synaptic ne veut pas réparer les paquets cassés

Salut,
tu as du bloqué la version de certains paquet dans synaptic, il faut les débloquer, tu vas dans Etat (en bas a gauche), tu choisis les paquets "Étiquetés", la du dois avoir la liste des paquets dons la version est bloquées, tu les sélectionnes, tu vas dans l'onglet Paquet (en haut) et tu décoches "Bloquer la version", ensuite tu réessaye de réparer les paquets cassés.


Ubuntu 12.04 LTS sur Dell inspiron One 2330 (64 bits)
Intel(R) Core(TM) i5-3330S CPU @ 2.70GHz - DDR3 8GB - Radeon HD 7650A/7670A - DD Seagate ATA 1To
PENSEZ À PASSER EN [RÉSOLU]

Hors ligne

#3 Le 07/01/2012, à 12:01

yayals

Re : synaptic ne veut pas réparer les paquets cassés

j'ai pas etiquetés


ACER aspire 5740g: Ubuntu 14.04
Nec Powermate vl4: Xubuntu 12.04
Mon blog http://ubuntu-yayals.over-blog.com/
tous unis contre microsoft !

Hors ligne

#4 Le 07/01/2012, à 12:09

eserpios

Re : synaptic ne veut pas réparer les paquets cassés

essaye en console:

sudo apt-get autoremove --purge

et dis moi ce que ca fait

Dernière modification par eserpios (Le 07/01/2012, à 12:09)


Ubuntu 12.04 LTS sur Dell inspiron One 2330 (64 bits)
Intel(R) Core(TM) i5-3330S CPU @ 2.70GHz - DDR3 8GB - Radeon HD 7650A/7670A - DD Seagate ATA 1To
PENSEZ À PASSER EN [RÉSOLU]

Hors ligne

#5 Le 07/01/2012, à 12:25

yayals

Re : synaptic ne veut pas réparer les paquets cassés

toujour pareil


ACER aspire 5740g: Ubuntu 14.04
Nec Powermate vl4: Xubuntu 12.04
Mon blog http://ubuntu-yayals.over-blog.com/
tous unis contre microsoft !

Hors ligne

#6 Le 07/01/2012, à 12:51

eserpios

Re : synaptic ne veut pas réparer les paquets cassés

et

sudo apt-get update

suivi de

sudo apt-get upgrade

Ubuntu 12.04 LTS sur Dell inspiron One 2330 (64 bits)
Intel(R) Core(TM) i5-3330S CPU @ 2.70GHz - DDR3 8GB - Radeon HD 7650A/7670A - DD Seagate ATA 1To
PENSEZ À PASSER EN [RÉSOLU]

Hors ligne

#7 Le 15/08/2012, à 11:01

azert

Re : synaptic ne veut pas réparer les paquets cassés

Bonjour,
je rebondis sur ce fil pour signaler que la méthode proposée en #2 a marché chez moi.
merci eserpios.


Ubuntu 12.04 - Compaq nc6400

Hors ligne

#8 Le 04/01/2013, à 20:43

pierre5933

Re : synaptic ne veut pas réparer les paquets cassés

Pour mon compte en voulant installer E17 , j'ai eu un souci des paquets emodules ne veulent pas s'installer , la cause

j'ai le message

impossible d'appliquer les changements , réparez d'abord les paquets cassés

en tentant de réparer j'ai le message

E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances

E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances

me référant à ce forum j'ai fait ce qui est proposé en #6#

sans effet

je n'ai pas de paquet étiqueté dans ETAt , non plus


Merci
J'utlise xubuntu 32 bits

Hors ligne

#9 Le 16/07/2013, à 11:26

symba

Re : synaptic ne veut pas réparer les paquets cassés

Bonjour,
j'ai moi aussi le même problème, quelqu'un a trouvé une solution?

J'ai tenté la méthode décrite au #6 j'ai cru un instant que ça avait fonctionné car dans les propriétés du paquet je n'avait plus Etat: cassés mais quand j'ai voulu faire l'installation, le point d'exclamation rouge est revenu et il m'affiche de nouveau le paquet comme étant cassé.

Hors ligne

#10 Le 29/07/2013, à 00:18

Tcheub

Re : synaptic ne veut pas réparer les paquets cassés

Bonjour,

J'ai le même problème sous Mint Olivia.
--------------------------------------------------------------------------------------------------

sudo apt-get autoremove --purge

donne

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 12 non mis à jour.

donc ça ne fait rien si j'ai bien saisi

--------------------------------------------------------------------------------------------------

sudo apt-get update

fini par

W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/main amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/restricted amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_restricted_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/universe amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_universe_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/multiverse amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_multiverse_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/main i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/restricted i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/universe i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/multiverse i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_multiverse_binary-i386_Packages)
W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.

--------------------------------------------------------------------------------------------------
Pour info mon source.list est :

deb http://packages.linuxmint.com/ olivia main upstream import
# deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse
# deb http://archive.ubuntu.com/ubuntu/ raring-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ raring-security main restricted universe multiverse
# deb http://archive.canonical.com/ubuntu/ raring partner
deb http://packages.medibuntu.org/ raring free non-free

# deb http://archive.getdeb.net/ubuntu raring-getdeb apps
# deb http://archive.getdeb.net/ubuntu raring-getdeb games

Si quelqu'un a une idée, je suis preneur.. De mon côté, je tourne en rond.


Ubuntu Hardy en dual boot avec XP
Asus A6va + E8200
Mon blog aux stazes

Hors ligne

Haut de page ↑